/**
 * Svelte action to initialize fomantic calendar component.
 *
 * - https://fomantic-ui.com/modules/calendar.html
 *
 * @module components/use-calendar
 */
import type { ActionReturnType } from "../data/common";
import type { CalendarSettings } from "../data/semantic-types";
import { SettingsHelper } from "../data/settings";
/** Calendar default settings. May be overriden by settings parameter in use:calendar() */
export declare const calendarDefaults: SettingsHelper<CalendarSettings>;
/**
 * Initializes Fomantic UI Calendar componenet. Takes settings object as argument.
 *
 * https://fomantic-ui.com/modules/calendar.html
 *
 * Bing using `<Data bind:date` inside the component tag.
 *
 * Example:
```
    <div class="ui calendar" use:calendar={{ maxDate: new Date() }}>
        <Data bind:date={myDate} >
        <div class="ui input right icon">
            <i class="dropdown icon" />
            <input type="text" placeholder="Date" />
        </div>
    </div>
```
*/
export declare function calendar(node: Element, settings?: CalendarSettings): ActionReturnType;
