/**
 * Common types, jQuery API, Form and Data controllers, utility functions.
 * @module data/settings
 */
export type SettingsObject = {
    [key: string]: unknown;
};
export type AllSettingsJson = {
    [key: string]: SettingsObject;
};
/** Provides acces to Sematic UI settings for different components. */
export declare class SettingsHelper<T> {
    compName: string;
    constructor(compName: string);
    /** Returns settings object. */
    read(): Required<T>;
    /** Copy settings into the global SUI components in jQuery. */
    apply(val: T): void;
}
/** Copy settings into the global SUI components and number object in jQuery. */
export declare function applyAllSettings(json: AllSettingsJson): void;
/** Must be called after DOM is initailized. Like in sveltekit rotes/layout.ts load(). */
export declare function applyDefaultSettings(locale?: string): void;
